class ImproperDirStructureError extends Error {
    constructor(message = 'the provided structure is not a valid JSON') {
        super(message);
        this.name = 'ImproperDirStructureError';
    }
}

module.exports = ImproperDirStructureError